=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: postgresql-15
 Section: database
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
+Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders:
  Martin Pitt <mpitt@debian.org>,
  Peter Eisentraut <petere@debian.org>,
@@ -12,7 +11,7 @@
 Build-Depends:
  autoconf,
  bison,
- clang [!alpha !hppa !hurd-i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !m68k !powerpc !riscv64 !s390x !sh4 !sparc64 !x32],
+ clang [!alpha !hppa !hurd-i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !loong64 !m68k !powerpc !riscv64 !sh4 !sparc64 !x32],
  debhelper-compat (= 13),
  dh-exec (>= 0.13~),
  docbook-xml,
@@ -37,7 +36,7 @@
  libxml2-utils,
  libxslt1-dev,
  libzstd-dev (>= 1.4.0) <!pkg.postgresql.nozstd>,
- llvm-dev [!alpha !hppa !hurd-i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !m68k !powerpc !riscv64 !s390x !sh4 !sparc64 !x32],
+ llvm-dev [!alpha !hppa !hurd-i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !loong64 !m68k !powerpc !riscv64 !sh4 !sparc64 !x32],
  lz4 | liblz4-tool,
  mawk,
  perl (>= 5.8),
@@ -46,6 +45,8 @@
  python3-dev,
  systemtap-sdt-dev,
  tcl-dev,
+ tzdata <!nocheck>,
+ tzdata-legacy <!nocheck> | tzdata (<< 2023c-8) <!nocheck>,
  uuid-dev,
  xsltproc,
  zlib1g-dev | libz-dev,
@@ -55,8 +56,9 @@
 Vcs-Git: https://salsa.debian.org/postgresql/postgresql.git -b 15
 
 Package: libpq-dev
-Architecture: any
-Section: libdevel
+Build-Profiles: <!pkg.postgresql.nolibpkgs>
+Architecture: any
+Section: 15/libdevel
 Depends:
  libpq5 (= ${binary:Version}),
  libssl-dev,
@@ -72,8 +74,9 @@
  PostgreSQL is an object-relational SQL database management system.
 
 Package: libpq5
-Architecture: any
-Section: libs
+Build-Profiles: <!pkg.postgresql.nolibpkgs>
+Architecture: any
+Section: 15/libs
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
@@ -92,8 +95,9 @@
  PostgreSQL is an object-relational SQL database management system.
 
 Package: libecpg6
-Architecture: any
-Section: libs
+Build-Profiles: <!pkg.postgresql.nolibpkgs>
+Architecture: any
+Section: 15/libs
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
@@ -107,8 +111,9 @@
  PostgreSQL is an object-relational SQL database management system.
 
 Package: libecpg-dev
-Architecture: any
-Section: libdevel
+Build-Profiles: <!pkg.postgresql.nolibpkgs>
+Architecture: any
+Section: 15/libdevel
 Depends:
  libecpg-compat3 (= ${binary:Version}),
  libecpg6 (= ${binary:Version}),
@@ -127,8 +132,9 @@
  embedded in them (rather than run by an external process).
 
 Package: libecpg-compat3
-Architecture: any
-Section: libs
+Build-Profiles: <!pkg.postgresql.nolibpkgs>
+Architecture: any
+Section: 15/libs
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
@@ -142,8 +148,9 @@
  PostgreSQL is an object-relational SQL database management system.
 
 Package: libpgtypes3
-Architecture: any
-Section: libs
+Build-Profiles: <!pkg.postgresql.nolibpkgs>
+Architecture: any
+Section: 15/libs
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
@@ -168,7 +175,7 @@
  ${shlibs:Depends},
 Provides:
  postgresql-contrib-15,
- postgresql-15-jit-llvm (= ${llvm:Version}) [!alpha !hppa !hurd-i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !m68k !powerpc !riscv64 !s390x !sh4 !sparc64 !x32],
+ postgresql-15-jit-llvm (= ${llvm:Version}) [!alpha !hppa !hurd-i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !loong64 !m68k !powerpc !riscv64 !sh4 !sparc64 !x32],
 Recommends:
  sysstat,
 Breaks:
@@ -216,9 +223,9 @@
 Architecture: any
 Section: libdevel
 Depends:
- clang-${llvm:Version} [!alpha !hppa !hurd-i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !m68k !powerpc !riscv64 !s390x !sh4 !sparc64 !x32],
+ clang-${llvm:Version} [!alpha !hppa !hurd-i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !loong64 !m68k !powerpc !riscv64 !sh4 !sparc64 !x32],
  libpq-dev (>= 15~~),
- llvm-${llvm:Version}-dev [!alpha !hppa !hurd-i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !m68k !powerpc !riscv64 !s390x !sh4 !sparc64 !x32],
+ llvm-${llvm:Version}-dev [!alpha !hppa !hurd-i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !loong64 !m68k !powerpc !riscv64 !sh4 !sparc64 !x32],
  postgresql-client-15,
  postgresql-common (>= 142~),
  ${misc:Depends},
